Subject: [6tisch] Adam Roach's No Objection on draft-ietf-6tisch-6top-protocol-11: (with COMMENT)

From: Adam Roach <[email-masked]>
Date: Wed, 04 Apr 2018 19:34:26 -0700

Adam Roach has entered the following ballot position for
draft-ietf-6tisch-6top-protocol-11: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-6tisch-6top-protocol/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Thanks to everyone who worked on this document. I have a handful of minor,
editorial suggestions.

---------------------------------------------------------------------------

Please expand TSCH and 2TiSCH in the Abstract.

---------------------------------------------------------------------------

§3.1.1:

>  5.  The SF running on node B selects 2 out of the 3 cells from the
>      CellList of the 6P ADD Request.  Node B locks those cells in it

nit: "its"

>      schedule until the transmission is successfull (i.e. node B

nit: "successful"

---------------------------------------------------------------------------

§3.3.1:

>  be used), or partially succeed (less than NumCells cells from the

Nit: "fewer than" rather than "less than."

---------------------------------------------------------------------------

§3.3.2:

>  o  The CellList in a 6P Request (2-step transaction) or 6P Response
>     (3-step transaction) MUST either be empty, contain exactly
>     NumCells cells, or more than NumCells cells.  The case where the
>     CellList is not empty but contains less than NumCells cells is not
>     supported.

nit: "...fewer than..."

It would be a good idea to clearly indicate what a recipient of a message with a
non-empty CellList with fewer entries than NumCells requires should do. This is
also applicable for the "Candidate CellList" for RELOCATE. I can't find
equivalent language for ADD -- is it okay for a message to (for example) have a
NumCells value of 3, but include only 2 cells in its CellList?

---------------------------------------------------------------------------

§3.3.3:

>  verification on Candidate CellList can succeed (NumCells cells from
>  the Candidate CellList can be used), fail (none of the cells from the
>  Candidate CellList can be used) or partially succeed (less than
>  NumCells cells from the Candidate CellList can be used).  In all

nit: "...fewer than..."

---------------------------------------------------------------------------

§3.3.5:

>  MaxNumCells:  The maximum number of cells to be listed.  Node B MAY
>        return less than MaxNumCells cells, for example if MaxNumCells
>        cells do not fit in the frame.

nit: "...fewer than..."

>  If node B has less than Offset cells that match the request, node B
>  returns an empty CellList and a Code field set to RC_EOL.

nit: "...fewer than..."

---

From: Xavi Vilajosana Guillen <[email-masked]>
Date: Mon, 9 Apr 2018 05:51:11 +0200

Dear Adam, thanks so much for your comments. Find inline (XV:) our
responses.

All changes will be published in the upcoming version of the draft.

many thanks for your review.

> COMMENT:

XV: corrected. Thanks.

> XV: corrected. Thanks.

XV: Thanks for this comment. Other reviewers also pointed out this issue.
We suggest to add this sentence:

"The case where the CellList is not empty but contains fewer than NumCells
cells is not supported.
RC_ERR_CELLLIST code MUST be returned when the CellList contains fewer than
NumCells cells. "

> XV: corrected. Thanks.

> XV: corrected. Thanks.

> _______________________________________________
> 6tisch mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/6tisch
>

-- 
Dr. Xavier Vilajosana
Wireless Networks Lab

*Internet Interdisciplinary Institute (IN3)Professor*
(+34) 646 633 681
[email-masked] <[email-masked]>
http://xvilajosana.org
http://wine.rdi.uoc.edu
Parc Mediterrani de la Tecnologia
Av Carl Friedrich Gauss 5, B3 Building
08860 Castelldefels (Barcelona). Catalonia. Spain